> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the platform config of a brokerage firm

> Returns public platform configuration for the brokerage firm such as theme and available features.



## OpenAPI

````yaml /openapi.json get /brokerage-firms/{brokerageFirmId}/platform-config
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /brokerage-firms/{brokerageFirmId}/platform-config:
    get:
      tags:
        - brokerage-firms
      summary: Get the platform config of a brokerage firm
      description: >-
        Returns public platform configuration for the brokerage firm such as
        theme and available features.
      operationId: BrokerageFirmController_getPlatformConfig
      parameters:
        - name: brokerageFirmId
          required: true
          in: path
          description: Platform brokerage firm ID
          schema:
            type: string
      responses:
        '200':
          description: Platform configuration retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPlatformConfigOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/BrokerageFirmNotFoundErrorDto'
              examples:
                BROKERAGE_FIRM_NOT_FOUND:
                  $ref: '#/components/schemas/BrokerageFirmNotFoundErrorDto'
          description: ''
components:
  schemas:
    GetPlatformConfigOutput:
      type: object
      properties:
        logoUrl:
          type: string
          description: Platform logo URL
      required:
        - logoUrl
    BrokerageFirmNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - BROKERAGE_FIRM_NOT_FOUND
        message:
          type: string
          example: No brokerage firm found for brokerage firm id {brokerageFirmId}
        details:
          $ref: '#/components/schemas/BrokerageFirmNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    BrokerageFirmNotFoundDetailsDto:
      type: object
      properties:
        brokerageFirmId:
          type: string
        source:
          type: string
        policyId:
          type: string
      required:
        - brokerageFirmId

````